Skip to main content
POST
frontendOpenOrders

Authorizations

X-API-KEY
string
header
required

API key to access the API (Optional)

Query Parameters

chainId
enum<number>
default:999
required

Unique identifier for a blockchain network.

Available options:
999,
998
Example:

999

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Dwellir,
Chainstack,
Covalent

Body

application/json
type
enum<string>
default:frontendOpenOrders
required
Available options:
frontendOpenOrders
Example:

"frontendOpenOrders"

user
string
required

The account address to query (0x-prefixed).

Example:

"0x000000000000000000000000000000000000dEaD"

Response

200 - application/json

Successful response.

coin
string
required
Example:

"BTC"

side
string
required

A for ask (sell), B for bid (buy).

Example:

"B"

limitPx
string
required
Example:

"0.0"

sz
string
required
Example:

"0.0"

oid
number
required
Example:

123456789

timestamp
number
required
Example:

1704067200000

origSz
string
required
Example:

"0.0"

cloid
string | null

Client order id.

triggerCondition
string
Example:

"N/A"

isTrigger
boolean
Example:

false

triggerPx
string
Example:

"0.0"

isPositionTpsl
boolean
Example:

false

reduceOnly
boolean
Example:

false

orderType
string
Example:

"Limit"

tif
string | null
Example:

"Gtc"

children
any[]
Example: